public class DiscoveryEngine.Projects.Locations.Collections.Engines.Assistants.Agents.A2a.V1.Tasks.PushNotificationConfigs extends Object
| Constructor and Description |
|---|
PushNotificationConfigs() |
| Modifier and Type | Method and Description |
|---|---|
DiscoveryEngine.Projects.Locations.Collections.Engines.Assistants.Agents.A2a.V1.Tasks.PushNotificationConfigs.Create |
create(String tenant,
String parent,
A2aV1TaskPushNotificationConfig content)
Set a push notification config for a task.
|
DiscoveryEngine.Projects.Locations.Collections.Engines.Assistants.Agents.A2a.V1.Tasks.PushNotificationConfigs.Delete |
delete(String tenant,
String name)
Delete a push notification config for a task.
|
DiscoveryEngine.Projects.Locations.Collections.Engines.Assistants.Agents.A2a.V1.Tasks.PushNotificationConfigs.Get |
get(String tenant,
String name)
Get a push notification config for a task.
|
DiscoveryEngine.Projects.Locations.Collections.Engines.Assistants.Agents.A2a.V1.Tasks.PushNotificationConfigs.List |
list(String tenant,
String parent)
Get a list of push notifications configured for a task.
|
public DiscoveryEngine.Projects.Locations.Collections.Engines.Assistants.Agents.A2a.V1.Tasks.PushNotificationConfigs.Create create(String tenant, String parent, A2aV1TaskPushNotificationConfig content) throws IOException
AbstractGoogleClientRequest.execute() method to invoke the remote operation.tenant - Optional tenant, provided as a path parameter. Experimental, might still change for 1.0 release.parent - Required. The parent task resource for this config. Format: tasks/{task_id}content - the A2aV1TaskPushNotificationConfigIOExceptionpublic DiscoveryEngine.Projects.Locations.Collections.Engines.Assistants.Agents.A2a.V1.Tasks.PushNotificationConfigs.Delete delete(String tenant, String name) throws IOException
AbstractGoogleClientRequest.execute() method to invoke the remote operation.tenant - Optional tenant, provided as a path parameter. Experimental, might still change for 1.0 release.name - The resource name of the config to delete. Format:
tasks/{task_id}/pushNotificationConfigs/{config_id}IOExceptionpublic DiscoveryEngine.Projects.Locations.Collections.Engines.Assistants.Agents.A2a.V1.Tasks.PushNotificationConfigs.Get get(String tenant, String name) throws IOException
AbstractGoogleClientRequest.execute() method to invoke the remote operation.tenant - Optional tenant, provided as a path parameter. Experimental, might still change for 1.0 release.name - The resource name of the config to retrieve. Format:
tasks/{task_id}/pushNotificationConfigs/{config_id}IOExceptionpublic DiscoveryEngine.Projects.Locations.Collections.Engines.Assistants.Agents.A2a.V1.Tasks.PushNotificationConfigs.List list(String tenant, String parent) throws IOException
AbstractGoogleClientRequest.execute() method to invoke the remote operation.tenant - Optional tenant, provided as a path parameter. Experimental, might still change for 1.0 release.parent - The parent task resource. Format: tasks/{task_id}IOExceptionCopyright © 2011–2026 Google. All rights reserved.